Package org.apache.avro.perf.test.generic.jmh_generated

# Class GenericNestedFakeTest_jmhType_B3

java.lang.Object
org.apache.avro.perf.test.generic.GenericNestedFakeTest
org.apache.avro.perf.test.generic.jmh_generated.GenericNestedFakeTest_jmhType_B1
org.apache.avro.perf.test.generic.jmh_generated.GenericNestedFakeTest_jmhType_B2
org.apache.avro.perf.test.generic.jmh_generated.GenericNestedFakeTest_jmhType_B3

Direct Known Subclasses:
  `GenericNestedFakeTest_jmhType`

public class GenericNestedFakeTest_jmhType_B3 extends GenericNestedFakeTest_jmhType_B2

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.avro.perf.test.generic.GenericNestedFakeTest

`GenericNestedFakeTest.TestStateDecode, GenericNestedFakeTest.TestStateEncode`

## Field Summary

### Fields inherited from class org.apache.avro.perf.test.generic.jmh_generated.GenericNestedFakeTest_jmhType_B2

`setupInvocationMutex, setupInvocationMutexUpdater, setupIterationMutex, setupIterationMutexUpdater, setupTrialMutex, setupTrialMutexUpdater, tearInvocationMutex, tearInvocationMutexUpdater, tearIterationMutex, tearIterationMutexUpdater, tearTrialMutex, tearTrialMutexUpdater`

## Constructor Summary

Constructors
Constructor
Description
`GenericNestedFakeTest_jmhType_B3()`

## Method Summary

### Methods inherited from class org.apache.avro.perf.test.generic.GenericNestedFakeTest

`decode, encode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GenericNestedFakeTest_jmhType_B3

public GenericNestedFakeTest_jmhType_B3()